package intrinsic.flash.utils;

public class Timer extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public boolean running;
	public double delay;
	public int currentCount;
	public int repeatCount;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Timer() {
}

public Timer(double arg0) {
}

public Timer(double arg0, int arg1) {
}


/** Static Methods */

/** Methods */
public native void reset();
public native void stop();
public native void start();

}
